# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/flag-o-matic.eclass,v 1.160 2011/12/10 20:03:17 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/flag-o-matic.eclass,v 1.161 2011/12/15 05:23:15 vapier Exp $
# @ECLASS: flag-o-matic.eclass
# @MAINTAINER:
esac
}
-# Some tests for when we screw with things and want to make
-# sure we didn't break anything
-#TESTS() {
-# CFLAGS="-a -b -c=1"
-# CXXFLAGS="-x -y -z=2"
-# LDFLAGS="-l -m -n=3"
-#
-# die() { exit 1; }
-# (is-flag 1 2 3) && die
-# (is-ldflag 1 2 3) && die
-#
-# is-flagq -l && die
-# is-ldflagq -a && die
-# is-flagq -a || die
-# is-flagq -x || die
-# is-ldflagq -n=* || die
-# is-ldflagq -n && die
-#
-# strip-unsupported-flags
-# [[ ${CFLAGS} == "-c=1" ]] || die
-# [[ ${CXXFLAGS} == "-y -z=2" ]] || die
-#
-# echo "All tests pass"
-#}
-#TESTS
-
fi
--- /dev/null
+#!/bin/bash
+
+source tests-common.sh
+
+inherit flag-o-matic
+
+CFLAGS="-a -b -c=1"
+CXXFLAGS="-x -y -z=2"
+LDFLAGS="-l -m -n=3"
+
+tbegin "is-flag"
+! (is-flag 1 2 3) 2>/dev/null
+tend $?
+
+tbegin "is-ldflag"
+! (is-ldflag 1 2 3) 2>/dev/null
+tend $?
+
+while read exp flag ; do
+ [[ -z ${exp}${flag} ]] && continue
+
+ tbegin "is-flagq ${flag}"
+ is-flagq ${flag}
+ [[ ${exp} -eq $? ]]
+ tend $? "CFLAGS=${CFLAGS}"
+done <<<"
+ 1 -l
+ 0 -a
+ 0 -x
+"
+
+while read exp flag ; do
+ [[ -z ${exp}${flag} ]] && continue
+
+ tbegin "is-ldflagq ${flag}"
+ is-ldflagq "${flag}"
+ [[ ${exp} -eq $? ]]
+ tend $? "LDFLAGS=${LDFLAGS}"
+done <<<"
+ 1 -a
+ 0 -n=*
+ 1 -n
+"
+
+tbegin "strip-unsupported-flags"
+strip-unsupported-flags
+[[ ${CFLAGS} == "" ]] && [[ ${CXXFLAGS} == "-z=2" ]]
+tend $? "CFLAGS=${CFLAGS} CXXFLAGS=${CXXFLAGS}"
+
+texit